cdac.medinfo.sdk.hl7282.baselibs.segments

## Class OM1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.OM1

- All Implemented Interfaces:
    ISegment

      public class OM1
      extends Segment

  OM1 - General Segment (Fields That Apply to Most Observations).

  OM1 segment contains the attributes that apply to the definition of most observations. This segment also contains the field attributes that specify what additional segments might also be defined for this observation.

  Represents an HL7 OM1 message segment. This segment has the following fields:

  OM1-1: Sequence Number - Test/Observation Master File (NM)Required
  OM1-2: Producer's Service/Test/Observation ID (CWE)Required
  OM1-3: Permitted Data Types (ID)Optional
  OM1-4: Specimen Required (ID)Required
  OM1-5: Producer ID (CWE)Required
  OM1-6: Observation Description (TX)Optional
  OM1-7: Other Service/Test/Observation IDs for the Observation (CWE)Optional
  OM1-8: Other Names (ST)Backward
  OM1-9: Preferred Report Name for the Observation (ST)Optional
  OM1-10: Preferred Short Name or Mnemonic for Observation (ST)Optional
  OM1-11: Preferred Long Name for the Observation (ST)Optional
  OM1-12: Orderability (ID)Optional
  OM1-13: Identity of Instrument Used to Perform this Study (CWE)Optional
  OM1-14: Coded Representation of Method (CWE)Optional
  OM1-15: Portable Device Indicator (ID)Optional
  OM1-16: Observation Producing Department/Section (CWE)Backward
  OM1-17: Telephone Number of Section (XTN)Backward
  OM1-18: Nature of Service/Test/Observation (CWE)Required
  OM1-19: Report Subheader (CWE)Optional
  OM1-20: Report Display Order (ST)Optional
  OM1-21: Date/Time Stamp for any change in Definition for the Observation (DTM)Optional
  OM1-22: Effective Date/Time of Change (DTM)Optional
  OM1-23: Typical Turn-Around Time (NM)Backward
  OM1-24: Processing Time (NM)Optional
  OM1-25: Processing Priority (ID)Optional
  OM1-26: Reporting Priority (ID)Optional
  OM1-27: Outside Site(s) Where Observation may be Performed (CWE)Backward
  OM1-28: Address of Outside Site(s) (XAD)Backward
  OM1-29: Phone Number of Outside Site (XTN)Backward
  OM1-30: Confidentiality Code (CWE)Optional
  OM1-31: Observations Required to Interpret the Observation (CWE)Backward
  OM1-32: Interpretation of Observations (TX)Optional
  OM1-33: Contraindications to Observations (CWE)Optional
  OM1-34: Reflex Tests/Observations (CWE)Optional
  OM1-35: Rules that Trigger Reflex Testing (TX)Optional
  OM1-36: Fixed Canned Message (CWE)Optional
  OM1-37: Patient Preparation (TX)Optional
  OM1-38: Procedure Medication (CWE)Optional
  OM1-39: Factors that may Affect the Observation (TX)Optional
  OM1-40: Service/Test/Observation Performance Schedule (ST)Optional
  OM1-41: Description of Test Methods (TX)Optional
  OM1-42: Kind of Quantity Observed (CWE)Optional
  OM1-43: Point Versus Interval (CWE)Optional
  OM1-44: Challenge Information (TX)Optional
  OM1-45: Relationship Modifier (CWE)Optional
  OM1-46: Target Anatomic Site Of Test (CWE)Optional
  OM1-47: Modality Of Imaging Measurement (CWE)Optional
  OM1-48: Exclusive Test (ID)Optional
  OM1-49: Diagnostic Serv Sect ID (ID)Optional
  OM1-50: Taxonomic Classification Code (CWE)Optional
  OM1-51: Other Names (ST)Optional
  OM1-52: Replacement Producer's Service/Test/Observation ID (CWE)Optional
  OM1-53: Prior Resuts Instructions (TX)Optional
  OM1-54: Special Instructions (TX)Optional
  OM1-55: Test Category (CWE)Optional
  OM1-56: Observation/Identifier associated with Producer's Service/Test/Observation ID (CWE)Optional
  OM1-57: Typical Turn-Around Time (CQ)Optional
  OM1-58: Gender Restriction (CWE)Optional
  OM1-59: Age Restriction (NR)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OM1()` Constructs the OM1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAddressofOutsideSite(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the AddressvofvOutsidevSite.
    `void` | `addAddressofOutsideSite(XAD objAddressofOutsideSite)` Add the AddressvofvOutsidevSite.
    `void` | `addAgeRestriction(NM objLowValue, NM objHighValue)` Add the Age Restriction.
    `void` | `addAgeRestriction(NR objAgeRestriction)` Add the Age Restriction.
    `void` | `addCodedRepresentationofMethod(CWE objCodedRepresentationofMethod)` Add the Coded Representation of Method.
    `void` | `addCodedRepresentationofMethod(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Coded Representation of Method.
    `void` | `addGenderRestriction(CWE objGenderRestriction)` Set the Gender Restriction.
    `void` | `addGenderRestriction(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Gender Restriction.
    `void` | `addIdentityofInstrumentUsedtoPerformthisStudy(CWE objIdentityofInstrumentUsedtoPerformthisStudy)` Add the Identity of Instrument Used to Perform this Study.
    `void` | `addIdentityofInstrumentUsedtoPerformthisStudy(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Identity of Instrument Used to Perform this Study.
    `void` | `addObservationProducingDepartmentSection(CWE objObservationProducingDepartmentSection)` Add the Observation Producing Department Section.
    `void` | `addObservationProducingDepartmentSection(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Observation Producing Department Section.
    `void` | `addOtherNames(ST objtempOtherNames)` Set the Other Names.
    `void` | `addOtherNames(java.lang.String strOtherNames)` Set the Other Names.
    `void` | `addOutsideSiteWhereObservationmaybePerformed(CWE objOutsideSiteWhereObservationmaybePerformed)` Add the Outside Site Where Observation may be Performed.
    `void` | `addOutsideSiteWhereObservationmaybePerformed(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Outside Site Where Observation may be Performed.
    `void` | `addPermittedDataTypes(ID ObjPermittedDataTypes)` Add the Permitted Data Types.
    `void` | `addPermittedDataTypes(java.lang.String strPermittedDataTypes)` Add the Permitted Data Types.
    `void` | `addPriorResutsInstructions(java.lang.String strObservationDescription)` Add the Prior Resuts Instructions.
    `void` | `addPriorResutsInstructions(TX objPriorResutsInstructions)` Add the Prior Resuts Instructions.
    `void` | `addProcessingPriority(ID objProcessingPriority)` Add the Processing Priority.
    `void` | `addProcessingPriority(java.lang.String strProcessingPriority)` Add the Processing Priority.
    `void` | `addReflexTestsObservations(CWE objReflexTestsObservations)` Add the Reflex Tests Observations.
    `void` | `addReflexTestsObservations(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Reflex Tests Observations.
    `void` | `addReplacementProducersServiceTestObservationID(CWE objReplacementProducersServiceTestObservationID)` Set the field Replacement Producer's Service/Test/Observation ID.
    `void` | `addReplacementProducersServiceTestObservationID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the field Replacement Producer's Service/Test/Observation ID.
    `void` | `addServiceTestObservationPerformanceSchedule(ST objServiceTestObservationPerformanceSchedule)` Add the Service Test Observation Performance Schedule.
    `void` | `addServiceTestObservationPerformanceSchedule(java.lang.String strServiceTestObservationPerformanceSchedule)` Add the Service Test Observation Performance Schedule.
    `void` | `addTestCategory(CWE objTestCategory)` Set the Test Category.
    `void` | `addTestCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Test Category.
    `ISingleCollection<XAD>` | `getAddressofOutsideSite()` Retrieves the AddressvofvOutsidevSite.
    `ISingleCollection<NR>` | `getAgeRestriction()` Retrieves the Age Restriction.
    `TX` | `getChallengeInformation()` Retrieves the Challenge Information.
    `ISingleCollection<CWE>` | `getCodedRepresentationofMethod()` Retrieves the Coded Representation of Method.
    `CWE` | `getConfidentialityCode()` Retrieves the Confidentiality Code.
    `CWE` | `getContraindicationstoObservations()` Retrieves the Contraindications to Observations.
    `DTM` | `getDateTimeStampforanychangeinDefinitionfortheObservation()` Retrieves the Date Time Stamp for any change in Definition for the Observation.
    `TX` | `getDescriptionofTestMethods()` Retrieves the Description of Test Methods.
    `ID` | `getDiagnosticServSectID()` Retrieves the Diagnostic Serv Sect ID.
    `DTM` | `getEffectiveDateTimeofChange()` Retrieves the Effective Date Time of Change.
    `ID` | `getExclusiveTest()` Retrieves the Exclusive Test.
    `TX` | `getFactorsthatmayAffecttheObservation()` Retrieves the Factors that may Affect the Observation.
    `CWE` | `getFixedCannedMessage()` Retrieves the Fixed Canned Message.
    `ISingleCollection<CWE>` | `getGenderRestriction()` Retrieves the Gender Restriction.
    `ISingleCollection<CWE>` | `getIdentityofInstrumentUsedtoPerformthisStudy()` Retrieves the Identity of Instrument Used to Perform this Study.
    `TX` | `getInterpretationofObservations()` Retrieves the Interpretation of Observations.
    `CWE` | `getKindofQuantityObserved()` Retrieves the Kind of Quantity Observed.
    `CWE` | `getModalityOfImagingMeasurement()` Retrieves the Modality Of Imaging Measurement.
    `CWE` | `getNatureofServiceTestObservation()` Retrieves the Nature of Service Test Observation.
    `TX` | `getObservationDescription()` Retrieves the Observation Description.
    `CWE` | `getObservationIdentifierAssociatedWithProducersServiceTestObservationID()` Retrieves the Observation/Identifier associated with Producer’s Service/Test/Observation ID.
    `ISingleCollection<CWE>` | `getObservationProducingDepartmentSection()` Retrieves the Observation Producing Department Section.
    `CWE` | `getObservationsRequiredtoInterprettheObservation()` Retrieves the Observations Required to Interpret the Observation.
    `ID` | `getOrderability()` Retrieves the Orderability.
    `ISingleCollection<ST>` | `getOtherNames()` Retrieves the Other Names.
    `CWE` | `getOtherServiceTestObservationIDsfortheObservation()` Retrieves the Other Service Test Observation IDs for the Observation.
    `ISingleCollection<CWE>` | `getOutsideSiteWhereObservationmaybePerformed()` Retrieves the Outside Site Where Observation may be Performed.
    `TX` | `getPatientPreparation()` Retrieves the Patient Preparation.
    `ISingleCollection<ID>` | `getPermittedDataTypes()` Retrieves the Permitted Data Types.
    `XTN` | `getPhoneNumberofOutsideSite()` Retrieves the Phone Number of Outside Site.
    `CWE` | `getPointVersusInterval()` Retrieves the Point Versus Interval.
    `ID` | `getPortableDeviceIndicator()` Retrieves the Portable Device Indicator.
    `ST` | `getPreferredLongNamefortheObservation()` Retrieves the Preferred Long Name for the Observation.
    `ST` | `getPreferredReportNamefortheObservation()` Retrieves the Preferred Report Name for the Observation.
    `ST` | `getPreferredShortNameorMnemonicforObservation()` Retrieves the Preferred Short Name or Mnemonic for Observation.
    `ISingleCollection<TX>` | `getPriorResutsInstructions()` Retrieves the Prior Resuts Instructions.
    `CWE` | `getProcedureMedication()` Retrieves the Procedure Medication.
    `ISingleCollection<ID>` | `getProcessingPriority()` Retrieves the Processing Priority.
    `NM` | `getProcessingTime()` Retrieves the Processing Time.
    `CWE` | `getProducerID()` Retrieves the Producer ID.
    `CWE` | `getProducerServiceTestObservationID()` Retrieves the Producer Service Test Observation ID.
    `ISingleCollection<CWE>` | `getReflexTestsObservations()` Retrieves the Reflex Tests Observations.
    `CWE` | `getRelationshipModifier()` Retrieves the Relationship Modifier.
    `ISingleCollection<CWE>` | `getReplacementProducersServiceTestObservationID()` Retrieves the Replacement Producer's Service/Test/Observation ID.
    `ST` | `getReportDisplayOrder()` Retrieves the Report Display Order.
    `ID` | `getReportingPriority()` Retrieves the Reporting Priority.
    `CWE` | `getReportSubheader()` Retrieves the Report Sub header.
    `TX` | `getRulesthatTriggerReflexTesting()` Retrieves the Rules that Trigger Reflex Testing.
    `NM` | `getSequenceNumberTestObservationMasterFile()` Retrieves the Sequence Number Test Observation Master File.
    `ISingleCollection<ST>` | `getServiceTestObservationPerformanceSchedule()` Retrieves the Service Test Observation Performance Schedule.
    `TX` | `getSpecialInstructions()` Retrieves the Special Instructions.
    `ID` | `getSpecimenRequired()` Retrieves the Specimen Required.
    `CWE` | `getTargetAnatomicSiteOfTest()` Retrieves the Target Anatomic Site Of Test.
    `CWE` | `getTaxonomicClassificationCode()` Retrieves the Taxonomic Classification Code.
    `XTN` | `getTelephoneNumberofSection()` Retrieves the Telephone Number of Section.
    `ISingleCollection<CWE>` | `getTestCategory()` Retrieves the Test Category.
    `CQ` | `getTypicalTurnAroundTime()` Retrieves the Typical Turn-Around Time.
    `void` | `setAddressofOutsideSite(ISingleCollection<XAD> objAddressofOutsideSiteList)` Set the AddressvofvOutsidevSite.
    `void` | `setAgeRestriction(ISingleCollection<NR> objAgeRestriction)` Set the Age Restriction.
    `void` | `setChallengeInformation(java.lang.String strChallengeInformation)` Set the Challenge Information.
    `void` | `setChallengeInformation(TX objchallengeInformation)` Set the Challenge Information.
    `void` | `setCodedRepresentationofMethod(ISingleCollection<CWE> objCodedRepresentationofMethodList)` Set the Coded Representation of Method.
    `void` | `setConfidentialityCode(CWE objconfidentialityCode)` Set the Confidentiality Code.
    `void` | `setConfidentialityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Confidentiality Code.
    `void` | `setContraindicationstoObservations(CWE objcontraindicationstoObservations)` Set the Contraindications to Observations.
    `void` | `setContraindicationstoObservations(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Contraindications to Observations.
    `void` | `setDateTimeStampforanychangeinDefinitionfortheObservation(DTM objdateTimeStampforanychangeinDefinitionfortheObservation)` Set the Date Time Stamp for any change in Definition for the Observation.
    `void` | `setDateTimeStampforanychangeinDefinitionfortheObservation(java.lang.String strTime)` Set the Date Time Stamp for any change in Definition for the Observation.
    `void` | `setDescriptionofTestMethods(java.lang.String strDescriptionofTestMethods)` Set the Description of Test Methods.
    `void` | `setDescriptionofTestMethods(TX objdescriptionofTestMethods)` Set the Description of Test Methods.
    `void` | `setDiagnosticServSectID(ID objDiagnosticServSectID)` Set the Diagnostic Serv Sect ID.
    `void` | `setDiagnosticServSectID(java.lang.String strDiagnosticServSectID)` Set the Diagnostic Serv Sect ID.
    `void` | `setEffectiveDateTimeofChange(DTM objeffectiveDateTimeofChange)` Set the Effective Date Time of Change.
    `void` | `setEffectiveDateTimeofChange(java.lang.String strTime)` Set the Effective Date Time of Change.
    `void` | `setExclusiveTest(ID objExclusiveTest)` Set the Exclusive Test.
    `void` | `setExclusiveTest(java.lang.String strExclusiveTest)` Set the Exclusive Test.
    `void` | `setFactorsthatmayAffecttheObservation(java.lang.String strFactorsthatmayAffecttheObservation)` Set the Factors that may Affect the Observation.
    `void` | `setFactorsthatmayAffecttheObservation(TX objfactorsthatmayAffecttheObservation)` Set the Factors that may Affect the Observation.
    `void` | `setFixedCannedMessage(CWE objfixedCannedMessage)` Set the Fixed Canned Message.
    `void` | `setFixedCannedMessage(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Fixed Canned Message.
    `void` | `setGenderRestriction(ISingleCollection<CWE> objGenderRestrictionList)` Set the GenderRestriction list.
    `void` | `setIdentityofInstrumentUsedtoPerformthisStudy(ISingleCollection<CWE> objIdentityofInstrumentUsedtoPerformthisStudyList)` Set the Identity of Instrument Used to Perform this Study.
    `void` | `setInterpretationofObservations(java.lang.String strInterpretationofObservations)` Set the Interpretation of Observations.
    `void` | `setInterpretationofObservations(TX objinterpretationofObservations)` Set the Interpretation of Observations.
    `void` | `setKindofQuantityObserved(CWE objkindofQuantityObserved)` Set the Kind of Quantity Observed.
    `void` | `setKindofQuantityObserved(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Kind of Quantity Observed.
    `void` | `setModalityOfImagingMeasurement(CWE objmodalityOfImagingMeasurement)` Set the Modality Of Imaging Measurement.
    `void` | `setModalityOfImagingMeasurement(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Modality Of Imaging Measurement.
    `void` | `setNatureofServiceTestObservation(CWE objnatureofServiceTestObservation)`
    `void` | `setNatureofServiceTestObservation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Nature of Service Test Observation.
    `void` | `setObservationDescription(java.lang.String strObservationDescription)` Set the Observation Description.
    `void` | `setObservationDescription(TX objobservationDescription)` Set the Observation Description.
    `void` | `setObservationIdentifierAssociatedWithProducersServiceTestObservationID(CWE objObservationIdentifierAssociatedWithProducersServiceTestObservationID)` Set the Observation/Identifier associated with Producer’s Service/Test/Observation ID.
    `void` | `setObservationIdentifierAssociatedWithProducersServiceTestObservationID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Observation/Identifier associated with Producer’s Service/Test/Observation ID.
    `void` | `setObservationProducingDepartmentSection(ISingleCollection<CWE> objObservationProducingDepartmentSectionList)` Set the Observation Producing Department Section.
    `void` | `setObservationsRequiredtoInterprettheObservation(CWE objobservationsRequiredtoInterprettheObservation)` Set the Observations Required to Interpret the Observation.
    `void` | `setObservationsRequiredtoInterprettheObservation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Observations Required to Interpret the Observation.
    `void` | `setOrderability(ID objorderability)` Set the Orderability.
    `void` | `setOrderability(java.lang.String strOrderability)` Set the Orderability.
    `void` | `setOtherNames(ISingleCollection<ST> objOtherNames)` Set the Other Names.
    `void` | `setOtherServiceTestObservationIDsfortheObservation(CWE objotherServiceTestObservationIDsfortheObservation)` Set the Other Service Test Observation IDs for the Observation.
    `void` | `setOtherServiceTestObservationIDsfortheObservation(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Other Service Test Observation IDs for the Observation.
    `void` | `setOutsideSiteWhereObservationmaybePerformed(ISingleCollection<CWE> objOutsideSiteWhereObservationmaybePerformedList)` Set the Outside Site Where Observation may be Performed.
    `void` | `setPatientPreparation(java.lang.String strPatientPreparation)` Set the Patient Preparation.
    `void` | `setPatientPreparation(TX objpatientPreparation)` Set the Patient Preparation.
    `void` | `setPermittedDataTypes(ISingleCollection<ID> ObjPermittedDataTypesList)` Set the Permitted Data Types.
    `void` | `setPhoneNumberofOutsideSite(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Phone Number of Outside Site.
    `void` | `setPhoneNumberofOutsideSite(XTN objphoneNumberofOutsideSite)` Set the Phone Number of Outside Site.
    `void` | `setPointVersusInterval(CWE objpointVersusInterval)` Set the Point Versus Interval.
    `void` | `setPointVersusInterval(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Point Versus Interval.
    `void` | `setPortableDeviceIndicator(ID objportableDeviceIndicator)` Set the Portable Device Indicator.
    `void` | `setPortableDeviceIndicator(java.lang.String strPortableDeviceIndicator)` Set the Portable Device Indicator.
    `void` | `setPreferredLongNamefortheObservation(ST objpreferredLongNamefortheObservation)` Set the Preferred Long Name for the Observation.
    `void` | `setPreferredLongNamefortheObservation(java.lang.String strPreferredLongNamefortheObservation)` Set the Preferred Long Name for the Observation.
    `void` | `setPreferredReportNamefortheObservation(ST objpreferredReportNamefortheObservation)` Set the Preferred Report Name for the Observation.
    `void` | `setPreferredReportNamefortheObservation(java.lang.String strPreferredReportNamefortheObservation)` Set the Preferred Report Name for the Observation.
    `void` | `setPreferredShortNameorMnemonicforObservation(ST objpreferredShortNameorMnemonicforObservation)` Set the Preferred Short Name or Mnemonic for Observation.
    `void` | `setPreferredShortNameorMnemonicforObservation(java.lang.String strPreferredShortNameorMnemonicforObservation)` Set the Preferred Short Name or Mnemonic for Observation.
    `void` | `setPriorResutsInstructions(ISingleCollection<TX> objPriorResutsInstructionsList)` Set the Prior Resuts Instructions.
    `void` | `setProcedureMedication(CWE objprocedureMedication)` Set the Procedure Medication.
    `void` | `setProcedureMedication(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Procedure Medication.
    `void` | `setProcessingPriority(ISingleCollection<ID> objProcessingPriorityList)` Set the Processing Priority.
    `void` | `setProcessingTime(NM objprocessingTime)` Set the Processing Time.
    `void` | `setProcessingTime(java.lang.String strProcessingTime)` Set the Processing Time.
    `void` | `setProducerID(CWE objproducerID)` Set the Producer ID.
    `void` | `setProducerID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Producer ID.
    `void` | `setProducerServiceTestObservationID(CWE objproducerServiceTestObservationID)` Set the Producer Service Test Observation ID.
    `void` | `setProducerServiceTestObservationID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Producer Service Test Observation ID.
    `void` | `setReflexTestsObservations(ISingleCollection<CWE> objReflexTestsObservationsList)` Set the Reflex Tests Observations.
    `void` | `setRelationshipModifier(CWE objrelationshipModifier)` Set the Relationship Modifier.
    `void` | `setRelationshipModifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Relationship Modifier.
    `void` | `setReplacementProducersServiceTestObservationID(ISingleCollection<CWE> objReplacementProducersServiceTestObservationIDList)` Set the Replacement Producer's Service/Test/Observation ID.
    `void` | `setReportDisplayOrder(ST objreportDisplayOrder)` Set the Report Display Order.
    `void` | `setReportDisplayOrder(java.lang.String strReportDisplayOrder)` Set the Report Display Order.
    `void` | `setReportingPriority(ID objreportingPriority)` Set the Reporting Priority.
    `void` | `setReportingPriority(java.lang.String strReportingPriority)` Set the Reporting Priority.
    `void` | `setReportSubheader(CWE objreportSubheader)` Set the Report Sub header.
    `void` | `setReportSubheader(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Report Sub header.
    `void` | `setRulesthatTriggerReflexTesting(java.lang.String strRulesthatTriggerReflexTesting)` Set the Rules that Trigger Reflex Testing.
    `void` | `setRulesthatTriggerReflexTesting(TX objrulesthatTriggerReflexTesting)` Set the Rules that Trigger Reflex Testing.
    `void` | `setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setServiceTestObservationPerformanceSchedule(ISingleCollection<ST> objServiceTestObservationPerformanceScheduleList)` Set the Service Test Observation Performance Schedule.
    `void` | `setSpecialInstructions(java.lang.String strSpecialInstructions)` Set the Special Instructions.
    `void` | `setSpecialInstructions(TX objSpecialInstructions)` Set the Special Instructions.
    `void` | `setSpecimenRequired(ID objspecimenRequired)` Set the Specimen Required.
    `void` | `setSpecimenRequired(java.lang.String strSpecimenRequired)` Set the Specimen Required.
    `void` | `setTargetAnatomicSiteOfTest(CWE objtargetAnatomicSiteOfTest)` Set the Target Anatomic Site Of Test.
    `void` | `setTargetAnatomicSiteOfTest(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Target Anatomic Site Of Test.
    `void` | `setTaxonomicClassificationCode(CWE objTaxonomicClassificationCode)` Set the Taxonomic Classification Code.
    `void` | `setTaxonomicClassificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Taxonomic Classification Code.
    `void` | `setTelephoneNumberofSection(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Telephone Number of Section.
    `void` | `setTelephoneNumberofSection(XTN objtelephoneNumberofSection)` Set the Telephone Number of Section.
    `void` | `setTestCategory(ISingleCollection<CWE> objTestCategoryList)` Set the TestCategory list.
    `void` | `setTypicalTurnAroundTime(CQ TypicalTurnAroundTime)` Set the Typical Turn-Around Time.
    `void` | `setTypicalTurnAroundTime(java.lang.String strQuantity, CWE objUnits)` Set the Typical Turn-Around Time.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OM1

          public OM1()

      Constructs the OM1 segment.

  - ### Method Detail

    - #### getAddressofOutsideSite

          public ISingleCollection<XAD> getAddressofOutsideSite()

      Retrieves the AddressvofvOutsidevSite. This field contains the address of the outside services listed in OM1-28-Address of Outside Site(s) where observation is performed.
      Returns:
        ISingleCollection - addressofOutsideSite

    - #### getChallengeInformation

          public TX getChallengeInformation()

      Retrieves the Challenge Information. This field provides information for classifying observations by the challenge component of the test, if a challenge does speciate the observation.
      Returns:
        TX - challengeInformation

    - #### getCodedRepresentationofMethod

          public ISingleCollection<CWE> getCodedRepresentationofMethod()

      Retrieves the Coded Representation of Method. This field contains the method(s) use to produce the observation and should be recorded in a computer-understandable (coded) form here.
      Returns:
        ISingleCollection - codedRepresentationofMethod

    - #### getConfidentialityCode

          public CWE getConfidentialityCode()

      Retrieves the Confidentiality Code. This field contains the degree to which special confidentiality protection should be applied to the observation.
      Returns:
        CWE - confidentialityCode

    - #### getContraindicationstoObservations

          public CWE getContraindicationstoObservations()

      Retrieves the Contraindications to Observations. This field contains the diagnosis or problem for which the test is a contraindication or of possible danger.
      Returns:
        CWE - contraindicationstoObservations

    - #### getDateTimeStampforanychangeinDefinitionfortheObservation

          public DTM getDateTimeStampforanychangeinDefinitionfortheObservation()

      Retrieves the Date Time Stamp for any change in Definition for the Observation. This field contains the date and time that the last of any field change is made and in the host's record corresponding to the OM1 segment.
      Returns:
        DTM - dateTimeStampforanychangeinDefinitionfortheObservation

    - #### getDescriptionofTestMethods

          public TX getDescriptionofTestMethods()

      Retrieves the Description of Test Methods. This field contains the text description of the methods used to perform the text and generate the observations.
      Returns:
        TX - descriptionofTestMethods

    - #### getEffectiveDateTimeofChange

          public DTM getEffectiveDateTimeofChange()

      Retrieves the Effective Date Time of Change. This field contains the date and time of the last change in the test procedure that would make previous results incompatible with new results.
      Returns:
        DTM - effectiveDateTimeofChange

    - #### getFactorsthatmayAffecttheObservation

          public TX getFactorsthatmayAffecttheObservation()

      Retrieves the Factors that may Affect the Observation. This field contains the text description of the foods, diagnoses, drugs, or other conditions that may influence the interpretation of the observation.
      Returns:
        TX - factorsthatmayAffecttheObservation

    - #### getFixedCannedMessage

          public CWE getFixedCannedMessage()

      Retrieves the Fixed Canned Message. This field contains the codes and a fixed text message that is always associated with an abbreviation.
      Returns:
        CWE - fixedCannedMessage

    - #### getIdentityofInstrumentUsedtoPerformthisStudy

          public ISingleCollection<CWE> getIdentityofInstrumentUsedtoPerformthisStudy()

      Retrieves the Identity of Instrument Used to Perform this Study. This field identify the instrument or device that is used to generate this observation or battery.
      Returns:
        ISingleCollection - identityofInstrumentUsedtoPerformthisStudy

    - #### getInterpretationofObservations

          public TX getInterpretationofObservations()

      Retrieves the Interpretation of Observations. This field contains the clinical information about interpreting test results.
      Returns:
        TX - interpretationofObservations

    - #### getKindofQuantityObserved

          public CWE getKindofQuantityObserved()

      Retrieves the Kind of Quantity Observed. This field describes the underlying kind of property represented by this observation.
      Returns:
        CWE - kindofQuantityObserved

    - #### getModalityOfImagingMeasurement

          public CWE getModalityOfImagingMeasurement()

      Retrieves the Modality Of Imaging Measurement. This field attribute describes the modality used to classify the observations.
      Returns:
        CWE - modalityOfImagingMeasurement

    - #### getNatureofServiceTestObservation

          public CWE getNatureofServiceTestObservation()

      Retrieves the Nature of Service Test Observation. This field indicates whether the definition entry identify a test battery, an entire functional procedure or study.
      Returns:
        CWE - natureofServiceTestObservation

    - #### getObservationDescription

          public TX getObservationDescription()

      Retrieves the Observation Description. This field contains a text description of this observation.
      Returns:
        TX - observationDescription

    - #### getObservationProducingDepartmentSection

          public ISingleCollection<CWE> getObservationProducingDepartmentSection()

      Retrieves the Observation Producing Department Section. This field permits the sorting of observation orders and values by the providing service's department/section.
      Returns:
        ISingleCollection - observationProducingDepartmentSection

    - #### getObservationsRequiredtoInterprettheObservation

          public CWE getObservationsRequiredtoInterprettheObservation()

      Retrieves the Observations Required to Interpret the Observation. This field contains the list of variables that the diagnostic service needs to interpret the results of an ordered study.
      Returns:
        CWE - observationsRequiredtoInterprettheObservation

    - #### getOrderability

          public ID getOrderability()

      Retrieves the Orderability. This field indicates whether or not a service/test/observation is an orderable code.
      Returns:
        ID - orderability

    - #### getOtherServiceTestObservationIDsfortheObservation

          public CWE getOtherServiceTestObservationIDsfortheObservation()

      Retrieves the Other Service Test Observation IDs for the Observation. This field contains all alias codes/identifiers for this observation.
      Returns:
        CWE - otherServiceTestObservationIDsfortheObservation

    - #### getOutsideSiteWhereObservationmaybePerformed

          public ISingleCollection<CWE> getOutsideSiteWhereObservationmaybePerformed()

      Retrieves the Outside Site Where Observation may be Performed. This field contains the identification(s) of the outside service(s) that produce(s) the observation.
      Returns:
        ISingleCollection - outsideSiteWhereObservationmaybePerformed

    - #### getPatientPreparation

          public TX getPatientPreparation()

      Retrieves the Patient Preparation. This field contains the tests or observations that require special patient preparation, diet, or medications.
      Returns:
        TX - patientPreparation

    - #### getPermittedDataTypes

          public ISingleCollection<ID> getPermittedDataTypes()

      Retrieves the Permitted Data Types. This field contains the allowed data type(s) for this observation.
      Returns:
        ISingleCollection - permittedDataTypes

    - #### getPhoneNumberofOutsideSite

          public XTN getPhoneNumberofOutsideSite()

      Retrieves the Phone Number of Outside Site. This field contains the telephone number of the outside site.
      Returns:
        XTN - phoneNumberofOutsideSite

    - #### getPointVersusInterval

          public CWE getPointVersusInterval()

      Retrieves the Point Versus Interval. This field allows master files to classify observations as measuring the patient's state at a point in time.
      Returns:
        CWE - pointVersusInterval

    - #### getPortableDeviceIndicator

          public ID getPortableDeviceIndicator()

      Retrieves the Portable Device Indicator. This field indicates whether a portable device may be used for the service/test/observation or not.
      Returns:
        ID - portableDeviceIndicator

    - #### getPreferredLongNamefortheObservation

          public ST getPreferredLongNamefortheObservation()

      Retrieves the Preferred Long Name for the Observation. This contains the fully-specified name for the observation or battery.
      Returns:
        ST - preferredLongNamefortheObservation

    - #### getPreferredReportNamefortheObservation

          public ST getPreferredReportNamefortheObservation()

      Retrieves the Preferred Report Name for the Observation. This field contains the preferred name for reporting the observation or battery.
      Returns:
        ST - preferredReportNamefortheObservation

    - #### getPreferredShortNameorMnemonicforObservation

          public ST getPreferredShortNameorMnemonicforObservation()

      Retrieves the Preferred Short Name or Mnemonic for Observation. This field contains the name that can be used in space-limited reports (e.g., specimen labels) to identify the observation for the convenience of human readers.
      Returns:
        ST - preferredShortNameorMnemonicforObservation

    - #### getProcedureMedication

          public CWE getProcedureMedication()

      Retrieves the Procedure Medication. This field contains the treatments that may be needed as part of the procedure.
      Returns:
        CWE - procedureMedication

    - #### getProcessingPriority

          public ISingleCollection<ID> getProcessingPriority()

      Retrieves the Processing Priority. This field contains one or more available priorities for performing the observation or test.
      Returns:
        ISingleCollection - processingPriority

    - #### getProcessingTime

          public NM getProcessingTime()

      Retrieves the Processing Time. This field contains the usual length of time (in minutes) between the start of a test process and its completion.
      Returns:
        NM - processingTime

    - #### getProducerID

          public CWE getProducerID()

      Retrieves the Producer ID. This field uniquely identify the service producing the observation described in this segment.
      Returns:
        CWE - producerID

    - #### getProducerServiceTestObservationID

          public CWE getProducerServiceTestObservationID()

      Retrieves the Producer Service Test Observation ID. This field contains the producer's usual or preferred identification of the test or observation.
      Returns:
        CWE - producerServiceTestObservationID

    - #### getReflexTestsObservations

          public ISingleCollection<CWE> getReflexTestsObservations()

      Retrieves the Reflex Tests Observations. This field contains the test names as type CWE.
      Returns:
        ISingleCollection - reflexTestsObservations

    - #### getRelationshipModifier

          public CWE getRelationshipModifier()

      Retrieves the Relationship Modifier. This field provides a mechanism for classifying observations according to the subject, in relation to the patient whose results might be stored with as "patient" data.
      Returns:
        CWE - relationshipModifier

    - #### getReportDisplayOrder

          public ST getReportDisplayOrder()

      Retrieves the Report Display Order. This field contains an optional string that defines the sort order in which this observation is presented in a standard report or display that contains the many observations.
      Returns:
        ST - reportDisplayOrder

    - #### getReportingPriority

          public ID getReportingPriority()

      Retrieves the Reporting Priority. This field contains the available priorities reporting the test results when the user is asked to specify the reporting priority independent of the processing priority.
      Returns:
        ID - reportingPriority

    - #### getReportSubheader

          public CWE getReportSubheader()

      Retrieves the Report Sub header. This field contains an optional string that defines the preferred header under which this observation should be listed on a standard display.
      Returns:
        CWE - reportSubheader

    - #### getRulesthatTriggerReflexTesting

          public TX getRulesthatTriggerReflexTesting()

      Retrieves the Rules that Trigger Reflex Testing. This field contains the rules that trigger the reflex tests.
      Returns:
        TX - rulesthatTriggerReflexTesting

    - #### getSequenceNumberTestObservationMasterFile

          public NM getSequenceNumberTestObservationMasterFile()

      Retrieves the Sequence Number Test Observation Master File. This field contains the first OM1 segment in a message.
      Returns:
        NM - sequenceNumberTestObservationMasterFile

    - #### getServiceTestObservationPerformanceSchedule

          public ISingleCollection<ST> getServiceTestObservationPerformanceSchedule()

      Retrieves the Service Test Observation Performance Schedule. This field contains the diagnostic studies/tests that are performed only at certain times during the course of a work day or work week.
      Returns:
        ISingleCollection - serviceTestObservationPerformanceSchedule

    - #### getSpecimenRequired

          public ID getSpecimenRequired()

      Retrieves the Specimen Required. This field contains a flag indicating whether at least one specimen is required for the service/test/observation or not.
      Returns:
        ID - specimenRequired

    - #### getTargetAnatomicSiteOfTest

          public CWE getTargetAnatomicSiteOfTest()

      Retrieves the Target Anatomic Site Of Test. This field formally indicates the site of the observation.
      Returns:
        CWE - targetAnatomicSiteOfTest

    - #### getTelephoneNumberofSection

          public XTN getTelephoneNumberofSection()

      Retrieves the Telephone Number of Section. This field contains the telephone number for calling responsible parties in this section to ask results or advice about the use of this test.
      Returns:
        XTN - telephoneNumberofSection

    - #### getExclusiveTest

          public ID getExclusiveTest()

      Retrieves the Exclusive Test. This field defines if this test should be a specific event with no other tests to be performed with this test.
      Returns:
        ID - ExclusiveTest

    - #### getDiagnosticServSectID

          public ID getDiagnosticServSectID()

      Retrieves the Diagnostic Serv Sect ID. This field is the section of the diagnostic service where the observation was performed.
      Returns:
        ID - DiagnosticServSectID

    - #### getTaxonomicClassificationCode

          public CWE getTaxonomicClassificationCode()

      Retrieves the Taxonomic Classification Code. The species of living organism. This may include the common or scientific name, based on the coding system(s) used. SNOMED is the recommended coding system.
      Returns:
        String - TaxonomicClassificationCode

    - #### getOtherNames

          public ISingleCollection<ST> getOtherNames()

      Retrieves the Other Names. This field contains any test aliases or synonyms for the name in the context of the ordering service.
      Returns:
        ISingleCollection - OtherNames

    - #### getReplacementProducersServiceTestObservationID

          public ISingleCollection<CWE> getReplacementProducersServiceTestObservationID()

      Retrieves the Replacement Producer's Service/Test/Observation ID.
      Returns:
        ISingleCollection - ReplacementProducersServiceTestObservationID

    - #### getPriorResutsInstructions

          public ISingleCollection<TX> getPriorResutsInstructions()

      Retrieves the Prior Resuts Instructions. This field is used to indicate when the test in OM1-2 Producer's Service/Test/Observation ID is ordered, prior results should accompany the order (OML^O21^OML_O21: Laboratory Order Message).
      Returns:
        ISingleCollection - PriorResutsInstructions

    - #### getSpecialInstructions

          public TX getSpecialInstructions()

      Retrieves the Special Instructions. This field is used to convey special instructions for the test
      Returns:
        String - SpecialInstructions

    - #### getTestCategory

          public ISingleCollection<CWE> getTestCategory()

      Retrieves the Test Category. This field may be used to organize tests for display or other user defined purpose.
      Returns:
        ISingleCollection - TestCategory

    - #### getObservationIdentifierAssociatedWithProducersServiceTestObservationID

          public CWE getObservationIdentifierAssociatedWithProducersServiceTestObservationID()

      Retrieves the Observation/Identifier associated with Producer’s Service/Test/Observation ID. : This field contains the code for resulted tests, which are associated with the Producer’s Service/Test/Observation ID code in OM1-2 and will appear in OBX-3 Observation Identifier in a result message.
      Returns:
        String - ObservationIdentifierAssociatedWithProducersServiceTestObservationID

    - #### getTypicalTurnAroundTime

          public CQ getTypicalTurnAroundTime()

      Retrieves the Typical Turn-Around Time. This field specify the quantity and units administered for the blood code identified in field 1.
      Returns:
        CQ - TypicalTurnAroundTime

    - #### getGenderRestriction

          public ISingleCollection<CWE> getGenderRestriction()

      Retrieves the Gender Restriction. This field is used to convey gender restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Returns:
        ISingleCollection - GenderRestriction

    - #### getAgeRestriction

          public ISingleCollection<NR> getAgeRestriction()

      Retrieves the Age Restriction. This field is used to convey age restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Returns:
        ISingleCollection - AgeRestriction

    - #### addAddressofOutsideSite

          public void addAddressofOutsideSite(SAD objStreetAddress,
                                     java.lang.String strOtherDesignation,
                                     java.lang.String strCity,
                                     java.lang.String strStateOrProvince,
                                     java.lang.String strZipOrPostalCode,
                                     java.lang.String strCountry,
                                     java.lang.String strAddressType,
                                     java.lang.String strOtherGeographicDesignation,
                                     CWE objCountyParishCode,
                                     CWE objCensusTract,
                                     java.lang.String strAddressRepresentationCode,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     CWE objEXpirationReason,
                                     java.lang.String strTemporaryIndicator,
                                     java.lang.String strBadAddressIndicator,
                                     java.lang.String strAddressUsage,
                                     java.lang.String strAddressee,
                                     java.lang.String strComment,
                                     java.lang.String strPreferenceOrder,
                                     CWE objProtectionCode,
                                     EI objAddressIdentifier)

      Add the AddressvofvOutsidevSite. This field contains the address of the outside services listed in OM1-28-Address of Outside Site(s) where observation is performed.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addAddressofOutsideSite

          public void addAddressofOutsideSite(XAD objAddressofOutsideSite)

      Add the AddressvofvOutsidevSite. This field contains the address of the outside services listed in OM1-28-Address of Outside Site(s) where observation is performed.
      Parameters:
        `objAddressofOutsideSite` - Object of AddressvofvOutsidevSite.

    - #### setAddressofOutsideSite

          public void setAddressofOutsideSite(ISingleCollection<XAD> objAddressofOutsideSiteList)

      Set the AddressvofvOutsidevSite. This field contains the address of the outside services listed in OM1-28-Address of Outside Site(s) where observation is performed.
      Parameters:
        `objAddressofOutsideSiteList` - List of AddressvofvOutsidevSite.

    - #### setChallengeInformation

          public void setChallengeInformation(java.lang.String strChallengeInformation)

      Set the Challenge Information. This field provides information for classifying observations by the challenge component of the test, if a challenge does speciate the observation.
      Parameters:
        `strChallengeInformation` - String to be passed as Challenge Information

    - #### setChallengeInformation

          public void setChallengeInformation(TX objchallengeInformation)

      Set the Challenge Information. This field provides information for classifying observations by the challenge component of the test, if a challenge does speciate the observation.
      Parameters:
        `strChallengeInformation` - String to be passed as Challenge Information

    - #### addCodedRepresentationofMethod

          public void addCodedRepresentationofMethod(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Add the Coded Representation of Method. This field contains the method(s) use to produce the observation and should be recorded in a computer-understandable (coded) form here.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCodedRepresentationofMethod

          public void addCodedRepresentationofMethod(CWE objCodedRepresentationofMethod)

      Add the Coded Representation of Method. This field contains the method(s) use to produce the observation and should be recorded in a computer-understandable (coded) form here.
      Parameters:
        `objCodedRepresentationofMethod` - Object of Coded Representation of Method.

    - #### setCodedRepresentationofMethod

          public void setCodedRepresentationofMethod(ISingleCollection<CWE> objCodedRepresentationofMethodList)

      Set the Coded Representation of Method. This field contains the method(s) use to produce the observation and should be recorded in a computer-understandable (coded) form here.
      Parameters:
        `objCodedRepresentationofMethodList` - List of Coded Representation of Method.

    - #### setConfidentialityCode

          public void setConfidentialityCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Confidentiality Code. This field contains the degree to which special confidentiality protection should be applied to the observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConfidentialityCode

          public void setConfidentialityCode(CWE objconfidentialityCode)

      Set the Confidentiality Code. This field contains the degree to which special confidentiality protection should be applied to the observation.
      Parameters:
        `objconfidentialityCode` - Object of Confidentiality Code.

    - #### setContraindicationstoObservations

          public void setContraindicationstoObservations(java.lang.String strIdentifier,
                                                java.lang.String strText,
                                                java.lang.String strNameOfCodingSystem,
                                                java.lang.String strAlternateIdentifier,
                                                java.lang.String strAlternateText,
                                                java.lang.String strNameOfAlternateCodingSystem,
                                                java.lang.String strCodingSystemVersionID,
                                                java.lang.String strAlternateCodingSystemVersionId,
                                                java.lang.String strOriginalText,
                                                java.lang.String strSecondAlternateIdentifier,
                                                java.lang.String strSecondAlternateText,
                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                java.lang.String strCodingSystemOID,
                                                java.lang.String strValueSetOID,
                                                java.lang.String strValueSetVersionID,
                                                java.lang.String strAlternateCodingSystemOID,
                                                java.lang.String strAlternateValueSetOID,
                                                java.lang.String strAlternateValueSetVersionID,
                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                java.lang.String strSecondAlternateValueSetOID,
                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Contraindications to Observations. This field contains the diagnosis or problem for which the test is a contraindication or of possible danger.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContraindicationstoObservations

          public void setContraindicationstoObservations(CWE objcontraindicationstoObservations)

      Set the Contraindications to Observations. This field contains the diagnosis or problem for which the test is a contraindication or of possible danger.
      Parameters:
        `objcontraindicationstoObservations` - Object of Contraindications to Observations.

    - #### setDateTimeStampforanychangeinDefinitionfortheObservation

          public void setDateTimeStampforanychangeinDefinitionfortheObservation(java.lang.String strTime)

      Set the Date Time Stamp for any change in Definition for the Observation. This field contains the date and time that the last of any field change is made and in the host's record corresponding to the OM1 segment.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateTimeStampforanychangeinDefinitionfortheObservation

          public void setDateTimeStampforanychangeinDefinitionfortheObservation(DTM objdateTimeStampforanychangeinDefinitionfortheObservation)

      Set the Date Time Stamp for any change in Definition for the Observation. This field contains the date and time that the last of any field change is made and in the host's record corresponding to the OM1 segment.
      Parameters:
        `objdateTimeStampforanychangeinDefinitionfortheObservation` - Object of Date Time Stamp for any change in Definition for the Observation.

    - #### setDescriptionofTestMethods

          public void setDescriptionofTestMethods(java.lang.String strDescriptionofTestMethods)

      Set the Description of Test Methods. This field contains the text description of the methods used to perform the text and generate the observations.
      Parameters:
        `strDescriptionofTestMethods` - String to be passed as Description of Test Methods

    - #### setDescriptionofTestMethods

          public void setDescriptionofTestMethods(TX objdescriptionofTestMethods)

      Set the Description of Test Methods. This field contains the text description of the methods used to perform the text and generate the observations.
      Parameters:
        `strDescriptionofTestMethods` - String to be passed as Description of Test Methods

    - #### setEffectiveDateTimeofChange

          public void setEffectiveDateTimeofChange(java.lang.String strTime)

      Set the Effective Date Time of Change. This field contains the date and time of the last change in the test procedure that would make previous results incompatible with new results.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `strDegreeOfPrecision` - The degree of precision of the time stamp .Suggested Values Y,L,D,H,M,S [Refer to HL7 Table 0529].

    - #### setEffectiveDateTimeofChange

          public void setEffectiveDateTimeofChange(DTM objeffectiveDateTimeofChange)

      Set the Effective Date Time of Change. This field contains the date and time of the last change in the test procedure that would make previous results incompatible with new results.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `strDegreeOfPrecision` - The degree of precision of the time stamp .Suggested Values Y,L,D,H,M,S [Refer to HL7 Table 0529].

    - #### setFactorsthatmayAffecttheObservation

          public void setFactorsthatmayAffecttheObservation(java.lang.String strFactorsthatmayAffecttheObservation)

      Set the Factors that may Affect the Observation. This field contains the text description of the foods, diagnoses, drugs, or other conditions that may influence the interpretation of the observation.
      Parameters:
        `strFactorsthatmayAffecttheObservation` - String to be passed as 'Factors that may Affect the Observation'

    - #### setFactorsthatmayAffecttheObservation

          public void setFactorsthatmayAffecttheObservation(TX objfactorsthatmayAffecttheObservation)

      Set the Factors that may Affect the Observation. This field contains the text description of the foods, diagnoses, drugs, or other conditions that may influence the interpretation of the observation.
      Parameters:
        `strFactorsthatmayAffecttheObservation` - String to be passed as 'Factors that may Affect the Observation'

    - #### setFixedCannedMessage

          public void setFixedCannedMessage(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Fixed Canned Message. This field contains the codes and a fixed text message that is always associated with an abbreviation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setFixedCannedMessage

          public void setFixedCannedMessage(CWE objfixedCannedMessage)

      Set the Fixed Canned Message. This field contains the codes and a fixed text message that is always associated with an abbreviation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.

    - #### addIdentityofInstrumentUsedtoPerformthisStudy

          public void addIdentityofInstrumentUsedtoPerformthisStudy(java.lang.String strIdentifier,
                                                           java.lang.String strText,
                                                           java.lang.String strNameOfCodingSystem,
                                                           java.lang.String strAlternateIdentifier,
                                                           java.lang.String strAlternateText,
                                                           java.lang.String strNameOfAlternateCodingSystem,
                                                           java.lang.String strCodingSystemVersionID,
                                                           java.lang.String strAlternateCodingSystemVersionId,
                                                           java.lang.String strOriginalText,
                                                           java.lang.String strSecondAlternateIdentifier,
                                                           java.lang.String strSecondAlternateText,
                                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                                           java.lang.String strCodingSystemOID,
                                                           java.lang.String strValueSetOID,
                                                           java.lang.String strValueSetVersionID,
                                                           java.lang.String strAlternateCodingSystemOID,
                                                           java.lang.String strAlternateValueSetOID,
                                                           java.lang.String strAlternateValueSetVersionID,
                                                           java.lang.String strSecondAlternateCodingSystemOID,
                                                           java.lang.String strSecondAlternateValueSetOID,
                                                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Identity of Instrument Used to Perform this Study. This field identify the instrument or device that is used to generate this observation or battery.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addIdentityofInstrumentUsedtoPerformthisStudy

          public void addIdentityofInstrumentUsedtoPerformthisStudy(CWE objIdentityofInstrumentUsedtoPerformthisStudy)

      Add the Identity of Instrument Used to Perform this Study. This field identify the instrument or device that is used to generate this observation or battery.
      Parameters:
        `objIdentityofInstrumentUsedtoPerformthisStudy` - Object of Identity of Instrument Used to Perform this Study.

    - #### setIdentityofInstrumentUsedtoPerformthisStudy

          public void setIdentityofInstrumentUsedtoPerformthisStudy(ISingleCollection<CWE> objIdentityofInstrumentUsedtoPerformthisStudyList)

      Set the Identity of Instrument Used to Perform this Study. This field identify the instrument or device that is used to generate this observation or battery.
      Parameters:
        `objIdentityofInstrumentUsedtoPerformthisStudyList` - List of Identity of Instrument Used to Perform this Study.

    - #### setInterpretationofObservations

          public void setInterpretationofObservations(java.lang.String strInterpretationofObservations)

      Set the Interpretation of Observations. This field contains the clinical information about interpreting test results.
      Parameters:
        `strInterpretationofObservations` - String to be passed as Interpretation of Observations

    - #### setInterpretationofObservations

          public void setInterpretationofObservations(TX objinterpretationofObservations)

      Set the Interpretation of Observations. This field contains the clinical information about interpreting test results.
      Parameters:
        `strInterpretationofObservations` - String to be passed as Interpretation of Observations

    - #### setKindofQuantityObserved

          public void setKindofQuantityObserved(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Kind of Quantity Observed. This field describes the underlying kind of property represented by this observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setKindofQuantityObserved

          public void setKindofQuantityObserved(CWE objkindofQuantityObserved)

      Set the Kind of Quantity Observed. This field describes the underlying kind of property represented by this observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.

    - #### setModalityOfImagingMeasurement

          public void setModalityOfImagingMeasurement(java.lang.String strIdentifier,
                                             java.lang.String strText,
                                             java.lang.String strNameOfCodingSystem,
                                             java.lang.String strAlternateIdentifier,
                                             java.lang.String strAlternateText,
                                             java.lang.String strNameOfAlternateCodingSystem,
                                             java.lang.String strCodingSystemVersionID,
                                             java.lang.String strAlternateCodingSystemVersionId,
                                             java.lang.String strOriginalText,
                                             java.lang.String strSecondAlternateIdentifier,
                                             java.lang.String strSecondAlternateText,
                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                             java.lang.String strCodingSystemOID,
                                             java.lang.String strValueSetOID,
                                             java.lang.String strValueSetVersionID,
                                             java.lang.String strAlternateCodingSystemOID,
                                             java.lang.String strAlternateValueSetOID,
                                             java.lang.String strAlternateValueSetVersionID,
                                             java.lang.String strSecondAlternateCodingSystemOID,
                                             java.lang.String strSecondAlternateValueSetOID,
                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Modality Of Imaging Measurement. This field attribute describes the modality used to classify the observations.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setModalityOfImagingMeasurement

          public void setModalityOfImagingMeasurement(CWE objmodalityOfImagingMeasurement)

      Set the Modality Of Imaging Measurement. This field attribute describes the modality used to classify the observations.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.

    - #### setNatureofServiceTestObservation

          public void setNatureofServiceTestObservation(java.lang.String strIdentifier,
                                               java.lang.String strText,
                                               java.lang.String strNameOfCodingSystem,
                                               java.lang.String strAlternateIdentifier,
                                               java.lang.String strAlternateText,
                                               java.lang.String strNameOfAlternateCodingSystem,
                                               java.lang.String strCodingSystemVersionID,
                                               java.lang.String strAlternateCodingSystemVersionId,
                                               java.lang.String strOriginalText,
                                               java.lang.String strSecondAlternateIdentifier,
                                               java.lang.String strSecondAlternateText,
                                               java.lang.String strNameofSecondAlternateCodingSystem,
                                               java.lang.String strSecondAlternateCodingSystemVersionID,
                                               java.lang.String strCodingSystemOID,
                                               java.lang.String strValueSetOID,
                                               java.lang.String strValueSetVersionID,
                                               java.lang.String strAlternateCodingSystemOID,
                                               java.lang.String strAlternateValueSetOID,
                                               java.lang.String strAlternateValueSetVersionID,
                                               java.lang.String strSecondAlternateCodingSystemOID,
                                               java.lang.String strSecondAlternateValueSetOID,
                                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Nature of Service Test Observation. This field indicates whether the definition entry identify a test battery, an entire functional procedure or study.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNatureofServiceTestObservation

          public void setNatureofServiceTestObservation(CWE objnatureofServiceTestObservation)

      Throws:
        `InvalidFieldException` - Thrown when Field Validation fails.

    - #### setObservationDescription

          public void setObservationDescription(java.lang.String strObservationDescription)

      Set the Observation Description. This field contains a text description of this observation.
      Parameters:
        `strObservationDescription` - String to be passed as Observation Description

    - #### setObservationDescription

          public void setObservationDescription(TX objobservationDescription)

      Set the Observation Description. This field contains a text description of this observation.
      Parameters:
        `strObservationDescription` - String to be passed as Observation Description

    - #### addObservationProducingDepartmentSection

          public void addObservationProducingDepartmentSection(java.lang.String strIdentifier,
                                                      java.lang.String strText,
                                                      java.lang.String strNameOfCodingSystem,
                                                      java.lang.String strAlternateIdentifier,
                                                      java.lang.String strAlternateText,
                                                      java.lang.String strNameOfAlternateCodingSystem,
                                                      java.lang.String strCodingSystemVersionID,
                                                      java.lang.String strAlternateCodingSystemVersionId,
                                                      java.lang.String strOriginalText,
                                                      java.lang.String strSecondAlternateIdentifier,
                                                      java.lang.String strSecondAlternateText,
                                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                                      java.lang.String strCodingSystemOID,
                                                      java.lang.String strValueSetOID,
                                                      java.lang.String strValueSetVersionID,
                                                      java.lang.String strAlternateCodingSystemOID,
                                                      java.lang.String strAlternateValueSetOID,
                                                      java.lang.String strAlternateValueSetVersionID,
                                                      java.lang.String strSecondAlternateCodingSystemOID,
                                                      java.lang.String strSecondAlternateValueSetOID,
                                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Observation Producing Department Section. This field permits the sorting of observation orders and values by the providing service's department/section.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addObservationProducingDepartmentSection

          public void addObservationProducingDepartmentSection(CWE objObservationProducingDepartmentSection)

      Add the Observation Producing Department Section. This field permits the sorting of observation orders and values by the providing service's department/section.
      Parameters:
        `objObservationProducingDepartmentSection` - Object of Observation Producing Department Section.

    - #### setObservationProducingDepartmentSection

          public void setObservationProducingDepartmentSection(ISingleCollection<CWE> objObservationProducingDepartmentSectionList)

      Set the Observation Producing Department Section. This field permits the sorting of observation orders and values by the providing service's department/section.
      Parameters:
        `objObservationProducingDepartmentSectionList` - List of Observation Producing Department Section.

    - #### setObservationsRequiredtoInterprettheObservation

          public void setObservationsRequiredtoInterprettheObservation(java.lang.String strIdentifier,
                                                              java.lang.String strText,
                                                              java.lang.String strNameOfCodingSystem,
                                                              java.lang.String strAlternateIdentifier,
                                                              java.lang.String strAlternateText,
                                                              java.lang.String strNameOfAlternateCodingSystem,
                                                              java.lang.String strCodingSystemVersionID,
                                                              java.lang.String strAlternateCodingSystemVersionId,
                                                              java.lang.String strOriginalText,
                                                              java.lang.String strSecondAlternateIdentifier,
                                                              java.lang.String strSecondAlternateText,
                                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                                              java.lang.String strCodingSystemOID,
                                                              java.lang.String strValueSetOID,
                                                              java.lang.String strValueSetVersionID,
                                                              java.lang.String strAlternateCodingSystemOID,
                                                              java.lang.String strAlternateValueSetOID,
                                                              java.lang.String strAlternateValueSetVersionID,
                                                              java.lang.String strSecondAlternateCodingSystemOID,
                                                              java.lang.String strSecondAlternateValueSetOID,
                                                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Observations Required to Interpret the Observation. This field contains the list of variables that the diagnostic service needs to interpret the results of an ordered study.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setObservationsRequiredtoInterprettheObservation

          public void setObservationsRequiredtoInterprettheObservation(CWE objobservationsRequiredtoInterprettheObservation)

      Set the Observations Required to Interpret the Observation. This field contains the list of variables that the diagnostic service needs to interpret the results of an ordered study.
      Parameters:
        `objobservationsRequiredtoInterprettheObservation` - Object of Observations Required to Interpret the Observation.

    - #### setOrderability

          public void setOrderability(java.lang.String strOrderability)

      Set the Orderability. This field indicates whether or not a service/test/observation is an orderable code.
      Parameters:
        `strOrderability` - String to be passed as Orderability

    - #### setOrderability

          public void setOrderability(ID objorderability)

      Set the Orderability. This field indicates whether or not a service/test/observation is an orderable code.
      Parameters:
        `objorderability` - Object of Orderability.

    - #### setOtherServiceTestObservationIDsfortheObservation

          public void setOtherServiceTestObservationIDsfortheObservation(java.lang.String strIdentifier,
                                                                java.lang.String strText,
                                                                java.lang.String strNameOfCodingSystem,
                                                                java.lang.String strAlternateIdentifier,
                                                                java.lang.String strAlternateText,
                                                                java.lang.String strNameOfAlternateCodingSystem,
                                                                java.lang.String strCodingSystemVersionID,
                                                                java.lang.String strAlternateCodingSystemVersionId,
                                                                java.lang.String strOriginalText,
                                                                java.lang.String strSecondAlternateIdentifier,
                                                                java.lang.String strSecondAlternateText,
                                                                java.lang.String strNameofSecondAlternateCodingSystem,
                                                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                                                java.lang.String strCodingSystemOID,
                                                                java.lang.String strValueSetOID,
                                                                java.lang.String strValueSetVersionID,
                                                                java.lang.String strAlternateCodingSystemOID,
                                                                java.lang.String strAlternateValueSetOID,
                                                                java.lang.String strAlternateValueSetVersionID,
                                                                java.lang.String strSecondAlternateCodingSystemOID,
                                                                java.lang.String strSecondAlternateValueSetOID,
                                                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Other Service Test Observation IDs for the Observation. This field contains all alias codes/identifiers for this observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setOtherServiceTestObservationIDsfortheObservation

          public void setOtherServiceTestObservationIDsfortheObservation(CWE objotherServiceTestObservationIDsfortheObservation)

      Set the Other Service Test Observation IDs for the Observation. This field contains all alias codes/identifiers for this observation.
      Parameters:
        `objotherServiceTestObservationIDsfortheObservation` - Object of Other Service Test Observation IDs for the Observation.

    - #### addOutsideSiteWhereObservationmaybePerformed

          public void addOutsideSiteWhereObservationmaybePerformed(java.lang.String strIdentifier,
                                                          java.lang.String strText,
                                                          java.lang.String strNameOfCodingSystem,
                                                          java.lang.String strAlternateIdentifier,
                                                          java.lang.String strAlternateText,
                                                          java.lang.String strNameOfAlternateCodingSystem,
                                                          java.lang.String strCodingSystemVersionID,
                                                          java.lang.String strAlternateCodingSystemVersionId,
                                                          java.lang.String strOriginalText,
                                                          java.lang.String strSecondAlternateIdentifier,
                                                          java.lang.String strSecondAlternateText,
                                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                                          java.lang.String strCodingSystemOID,
                                                          java.lang.String strValueSetOID,
                                                          java.lang.String strValueSetVersionID,
                                                          java.lang.String strAlternateCodingSystemOID,
                                                          java.lang.String strAlternateValueSetOID,
                                                          java.lang.String strAlternateValueSetVersionID,
                                                          java.lang.String strSecondAlternateCodingSystemOID,
                                                          java.lang.String strSecondAlternateValueSetOID,
                                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Outside Site Where Observation may be Performed. This field contains the identification(s) of the outside service(s) that produce(s) the observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addOutsideSiteWhereObservationmaybePerformed

          public void addOutsideSiteWhereObservationmaybePerformed(CWE objOutsideSiteWhereObservationmaybePerformed)

      Add the Outside Site Where Observation may be Performed. This field contains the identification(s) of the outside service(s) that produce(s) the observation.
      Parameters:
        `objOutsideSiteWhereObservationmaybePerformed` - Object of Outside Site Where Observation may be Performed.

    - #### setOutsideSiteWhereObservationmaybePerformed

          public void setOutsideSiteWhereObservationmaybePerformed(ISingleCollection<CWE> objOutsideSiteWhereObservationmaybePerformedList)

      Set the Outside Site Where Observation may be Performed. This field contains the identification(s) of the outside service(s) that produce(s) the observation.
      Parameters:
        `objOutsideSiteWhereObservationmaybePerformedList` - List of Outside Site Where Observation may be Performed.

    - #### setPatientPreparation

          public void setPatientPreparation(java.lang.String strPatientPreparation)

      Set the Patient Preparation. This field contains the tests or observations that require special patient preparation, diet, or medications.
      Parameters:
        `strPatientPreparation` - String to be passed as Patient Preparation

    - #### setPatientPreparation

          public void setPatientPreparation(TX objpatientPreparation)

      Set the Patient Preparation. This field contains the tests or observations that require special patient preparation, diet, or medications.
      Parameters:
        `objpatientPreparation` - Object of Patient Preparation.

    - #### addPermittedDataTypes

          public void addPermittedDataTypes(java.lang.String strPermittedDataTypes)

      Add the Permitted Data Types. This field contains the allowed data type(s) for this observation.
      Parameters:
        `strPermittedDataTypes` - String to be passed as Permitted Data Types

    - #### addPermittedDataTypes

          public void addPermittedDataTypes(ID ObjPermittedDataTypes)

      Add the Permitted Data Types. This field contains the allowed data type(s) for this observation.
      Parameters:
        `ObjPermittedDataTypes` - Object of Permitted Data Types.

    - #### setPermittedDataTypes

          public void setPermittedDataTypes(ISingleCollection<ID> ObjPermittedDataTypesList)

      Set the Permitted Data Types. This field contains the allowed data type(s) for this observation.
      Parameters:
        `ObjPermittedDataTypesList` - List of Permitted Data Types.

    - #### setPhoneNumberofOutsideSite

          public void setPhoneNumberofOutsideSite(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Set the Phone Number of Outside Site. This field contains the telephone number of the outside site.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setPhoneNumberofOutsideSite

          public void setPhoneNumberofOutsideSite(XTN objphoneNumberofOutsideSite)

      Set the Phone Number of Outside Site. This field contains the telephone number of the outside site.
      Parameters:
        `objphoneNumberofOutsideSite` - Object of Phone Number of Outside Site.

    - #### setPointVersusInterval

          public void setPointVersusInterval(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Point Versus Interval. This field allows master files to classify observations as measuring the patient's state at a point in time.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPointVersusInterval

          public void setPointVersusInterval(CWE objpointVersusInterval)

      Set the Point Versus Interval. This field allows master files to classify observations as measuring the patient's state at a point in time.
      Parameters:
        `objpointVersusInterval` - Object of Point Versus Interval.

    - #### setPortableDeviceIndicator

          public void setPortableDeviceIndicator(java.lang.String strPortableDeviceIndicator)

      Set the Portable Device Indicator. This field indicates whether a portable device may be used for the service/test/observation or not.
      Parameters:
        `strPortableDeviceIndicator` - Use as PortableDeviceIndicator.

    - #### setPortableDeviceIndicator

          public void setPortableDeviceIndicator(ID objportableDeviceIndicator)

      Set the Portable Device Indicator. This field indicates whether a portable device may be used for the service/test/observation or not.
      Parameters:
        `objportableDeviceIndicator` - Object of Portable Device Indicator.

    - #### setPreferredLongNamefortheObservation

          public void setPreferredLongNamefortheObservation(java.lang.String strPreferredLongNamefortheObservation)

      Set the Preferred Long Name for the Observation. This contains the fully-specified name for the observation or battery.
      Parameters:
        `strPreferredLongNamefortheObservation` - String to be passed as Preferred Long Name for the Observation

    - #### setPreferredLongNamefortheObservation

          public void setPreferredLongNamefortheObservation(ST objpreferredLongNamefortheObservation)

      Set the Preferred Long Name for the Observation. This contains the fully-specified name for the observation or battery.
      Parameters:
        `objpreferredLongNamefortheObservation` - Object of Preferred Long Name for the Observation.

    - #### setPreferredReportNamefortheObservation

          public void setPreferredReportNamefortheObservation(java.lang.String strPreferredReportNamefortheObservation)

      Set the Preferred Report Name for the Observation. This field contains the preferred name for reporting the observation or battery.
      Parameters:
        `strPreferredReportNamefortheObservation` - String to be passed as Preferred Report Name for the Observation

    - #### setPreferredReportNamefortheObservation

          public void setPreferredReportNamefortheObservation(ST objpreferredReportNamefortheObservation)

      Set the Preferred Report Name for the Observation. This field contains the preferred name for reporting the observation or battery.
      Parameters:
        `objpreferredReportNamefortheObservation` - Object of Preferred Report Name for the Observation.

    - #### setPreferredShortNameorMnemonicforObservation

          public void setPreferredShortNameorMnemonicforObservation(java.lang.String strPreferredShortNameorMnemonicforObservation)

      Set the Preferred Short Name or Mnemonic for Observation. This field contains the name that can be used in space-limited reports (e.g., specimen labels) to identify the observation for the convenience of human readers.
      Parameters:
        `strPreferredShortNameorMnemonicforObservation` - String to be passed as Preferred Short Name or Mnemonic for Observation

    - #### setPreferredShortNameorMnemonicforObservation

          public void setPreferredShortNameorMnemonicforObservation(ST objpreferredShortNameorMnemonicforObservation)

      Set the Preferred Short Name or Mnemonic for Observation. This field contains the name that can be used in space-limited reports (e.g., specimen labels) to identify the observation for the convenience of human readers.
      Parameters:
        `objpreferredShortNameorMnemonicforObservation` - Object of Preferred Short Name or Mnemonic for Observation.

    - #### setProcedureMedication

          public void setProcedureMedication(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Procedure Medication. This field contains the treatments that may be needed as part of the procedure.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProcedureMedication

          public void setProcedureMedication(CWE objprocedureMedication)

      Set the Procedure Medication. This field contains the treatments that may be needed as part of the procedure.
      Parameters:
        `objprocedureMedication` - Object of Procedure Medication.

    - #### addProcessingPriority

          public void addProcessingPriority(java.lang.String strProcessingPriority)

      Add the Processing Priority. This field contains one or more available priorities for performing the observation or test.
      Parameters:
        `strProcessingPriority` - String to be passed as Processing Priority

    - #### addProcessingPriority

          public void addProcessingPriority(ID objProcessingPriority)

      Add the Processing Priority. This field contains one or more available priorities for performing the observation or test.
      Parameters:
        `objProcessingPriority` - Object of Processing Priority.

    - #### setProcessingPriority

          public void setProcessingPriority(ISingleCollection<ID> objProcessingPriorityList)

      Set the Processing Priority. This field contains one or more available priorities for performing the observation or test.
      Parameters:
        `objProcessingPriorityList` - List of Processing Priority.

    - #### setProcessingTime

          public void setProcessingTime(java.lang.String strProcessingTime)

      Set the Processing Time. This field contains the usual length of time (in minutes) between the start of a test process and its completion.
      Parameters:
        `strProcessingTime` - String to be passed as Processing Time

    - #### setProcessingTime

          public void setProcessingTime(NM objprocessingTime)

      Set the Processing Time. This field contains the usual length of time (in minutes) between the start of a test process and its completion.
      Parameters:
        `objprocessingTime` - Object of Processing Time.

    - #### setProducerID

          public void setProducerID(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Producer ID. This field uniquely identify the service producing the observation described in this segment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProducerID

          public void setProducerID(CWE objproducerID)

      Set the Producer ID. This field uniquely identify the service producing the observation described in this segment.
      Parameters:
        `objproducerID` - OBject of Producer ID.

    - #### setProducerServiceTestObservationID

          public void setProducerServiceTestObservationID(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Producer Service Test Observation ID. This field contains the producer's usual or preferred identification of the test or observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setProducerServiceTestObservationID

          public void setProducerServiceTestObservationID(CWE objproducerServiceTestObservationID)

      Set the Producer Service Test Observation ID. This field contains the producer's usual or preferred identification of the test or observation.
      Parameters:
        `objproducerServiceTestObservationID` - Object of Producer Service Test Observation ID.

    - #### addReflexTestsObservations

          public void addReflexTestsObservations(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Add the Reflex Tests Observations. This field contains the test names as type CWE.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addReflexTestsObservations

          public void addReflexTestsObservations(CWE objReflexTestsObservations)

      Add the Reflex Tests Observations. This field contains the test names as type CWE.
      Parameters:
        `objReflexTestsObservations` - Object of Reflex Tests Observations.

    - #### setReflexTestsObservations

          public void setReflexTestsObservations(ISingleCollection<CWE> objReflexTestsObservationsList)

      Set the Reflex Tests Observations. This field contains the test names as type CWE.
      Parameters:
        `objReflexTestsObservationsList` - List of Reflex Tests Observations.

    - #### setRelationshipModifier

          public void setRelationshipModifier(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Relationship Modifier. This field provides a mechanism for classifying observations according to the subject, in relation to the patient whose results might be stored with as "patient" data.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRelationshipModifier

          public void setRelationshipModifier(CWE objrelationshipModifier)

      Set the Relationship Modifier. This field provides a mechanism for classifying observations according to the subject, in relation to the patient whose results might be stored with as "patient" data.
      Parameters:
        `objrelationshipModifier` - Object of Relationship Modifier.

    - #### setReportDisplayOrder

          public void setReportDisplayOrder(java.lang.String strReportDisplayOrder)

      Set the Report Display Order. This field contains an optional string that defines the sort order in which this observation is presented in a standard report or display that contains the many observations.
      Parameters:
        `strReportDisplayOrder` - String to be passed as Report Display Order

    - #### setReportDisplayOrder

          public void setReportDisplayOrder(ST objreportDisplayOrder)

      Set the Report Display Order. This field contains an optional string that defines the sort order in which this observation is presented in a standard report or display that contains the many observations.
      Parameters:
        `objreportDisplayOrder` - Object of Report Display Order.

    - #### setReportingPriority

          public void setReportingPriority(java.lang.String strReportingPriority)

      Set the Reporting Priority. This field contains the available priorities reporting the test results when the user is asked to specify the reporting priority independent of the processing priority.
      Parameters:
        `strReportingPriority` - String to be passed as Processing Priority

    - #### setReportingPriority

          public void setReportingPriority(ID objreportingPriority)

      Set the Reporting Priority. This field contains the available priorities reporting the test results when the user is asked to specify the reporting priority independent of the processing priority.
      Parameters:
        `objreportingPriority` - Object of Reporting Priority.

    - #### setReportSubheader

          public void setReportSubheader(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Report Sub header. This field contains an optional string that defines the preferred header under which this observation should be listed on a standard display.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReportSubheader

          public void setReportSubheader(CWE objreportSubheader)

      Set the Report Sub header. This field contains an optional string that defines the preferred header under which this observation should be listed on a standard display.
      Parameters:
        `objreportSubheader` - Object of Report Sub header.

    - #### setRulesthatTriggerReflexTesting

          public void setRulesthatTriggerReflexTesting(java.lang.String strRulesthatTriggerReflexTesting)

      Set the Rules that Trigger Reflex Testing. This field contains the rules that trigger the reflex tests.
      Parameters:
        `strRulesthatTriggerReflexTesting` - String to be passed as Rules that Trigger Reflex Testing.

    - #### setRulesthatTriggerReflexTesting

          public void setRulesthatTriggerReflexTesting(TX objrulesthatTriggerReflexTesting)

      Set the Rules that Trigger Reflex Testing. This field contains the rules that trigger the reflex tests.
      Parameters:
        `objrulesthatTriggerReflexTesting` - Object of Rules that Trigger Reflex Testing.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the first OM1 segment in a message.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - String to be passed as Sequence Number - Test/Observation Master File.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the first OM1 segment in a message.
      Parameters:
        `objsequenceNumberTestObservationMasterFile` - Object of Sequence Number Test Observation Master File.

    - #### addServiceTestObservationPerformanceSchedule

          public void addServiceTestObservationPerformanceSchedule(java.lang.String strServiceTestObservationPerformanceSchedule)

      Add the Service Test Observation Performance Schedule. This field contains the diagnostic studies/tests that are performed only at certain times during the course of a work day or work week.
      Parameters:
        `strServiceTestObservationPerformanceSchedule` - String to be passed as Service/Test/Observation Performance Schedule.

    - #### addServiceTestObservationPerformanceSchedule

          public void addServiceTestObservationPerformanceSchedule(ST objServiceTestObservationPerformanceSchedule)

      Add the Service Test Observation Performance Schedule. This field contains the diagnostic studies/tests that are performed only at certain times during the course of a work day or work week.
      Parameters:
        `objServiceTestObservationPerformanceSchedule` - Object of Service Test Observation Performance Schedule.

    - #### setServiceTestObservationPerformanceSchedule

          public void setServiceTestObservationPerformanceSchedule(ISingleCollection<ST> objServiceTestObservationPerformanceScheduleList)

      Set the Service Test Observation Performance Schedule. This field contains the diagnostic studies/tests that are performed only at certain times during the course of a work day or work week.
      Parameters:
        `objServiceTestObservationPerformanceScheduleList` - List of Service Test Observation Performance Schedule.

    - #### setSpecimenRequired

          public void setSpecimenRequired(java.lang.String strSpecimenRequired)

      Set the Specimen Required. This field contains a flag indicating whether at least one specimen is required for the service/test/observation or not.
      Parameters:
        `strSpecimenRequired` - String to be passed as Specimen Required

    - #### setSpecimenRequired

          public void setSpecimenRequired(ID objspecimenRequired)

      Set the Specimen Required. This field contains a flag indicating whether at least one specimen is required for the service/test/observation or not.
      Parameters:
        `objspecimenRequired` - Object of Specimen Required.

    - #### setTargetAnatomicSiteOfTest

          public void setTargetAnatomicSiteOfTest(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Target Anatomic Site Of Test. This field formally indicates the site of the observation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTargetAnatomicSiteOfTest

          public void setTargetAnatomicSiteOfTest(CWE objtargetAnatomicSiteOfTest)

      Set the Target Anatomic Site Of Test. This field formally indicates the site of the observation.
      Parameters:
        `objtargetAnatomicSiteOfTest` - Object of Target Anatomic Site Of Test.

    - #### setTelephoneNumberofSection

          public void setTelephoneNumberofSection(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Set the Telephone Number of Section. This field contains the telephone number for calling responsible parties in this section to ask results or advice about the use of this test.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### setTelephoneNumberofSection

          public void setTelephoneNumberofSection(XTN objtelephoneNumberofSection)

      Set the Telephone Number of Section. This field contains the telephone number for calling responsible parties in this section to ask results or advice about the use of this test.
      Parameters:
        `objtelephoneNumberofSection` - Object of Telephone Number of Section.

    - #### setExclusiveTest

          public void setExclusiveTest(java.lang.String strExclusiveTest)

      Set the Exclusive Test.
      Parameters:
        `strExclusiveTest` - This field defines if this test should be a specific event with no other tests to be performed with this test. .

    - #### setExclusiveTest

          public void setExclusiveTest(ID objExclusiveTest)

      Set the Exclusive Test.
      Parameters:
        `objExclusiveTest` - This field defines if this test should be a specific event with no other tests to be performed with this test. .

    - #### setDiagnosticServSectID

          public void setDiagnosticServSectID(java.lang.String strDiagnosticServSectID)

      Set the Diagnostic Serv Sect ID. This field is the section of the diagnostic service where the observation was performed.
      Parameters:
        `strDiagnosticServSectID` - This field is the section of the diagnostic service where the observation was performed.

    - #### setDiagnosticServSectID

          public void setDiagnosticServSectID(ID objDiagnosticServSectID)

      Set the Diagnostic Serv Sect ID. This field is the section of the diagnostic service where the observation was performed.
      Parameters:
        `objDiagnosticServSectID` - This field is the section of the diagnostic service where the observation was performed.

    - #### setTaxonomicClassificationCode

          public void setTaxonomicClassificationCode(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Taxonomic Classification Code. The species of living organism. This may include the common or scientific name, based on the coding system(s) used. SNOMED is the recommended coding system.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTaxonomicClassificationCode

          public void setTaxonomicClassificationCode(CWE objTaxonomicClassificationCode)

      Set the Taxonomic Classification Code. The species of living organism. This may include the common or scientific name, based on the coding system(s) used. SNOMED is the recommended coding system.
      Parameters:
        `objTaxonomicClassificationCode` - object of TaxonomicClassificationCode.

    - #### addOtherNames

          public void addOtherNames(java.lang.String strOtherNames)

      Set the Other Names. This field contains any test aliases or synonyms for the name in the context of the ordering service.
      Parameters:
        `strOtherNames` - Contains specific allergic reaction that was documented.

    - #### addOtherNames

          public void addOtherNames(ST objtempOtherNames)

      Set the Other Names. This field contains any test aliases or synonyms for the name in the context of the ordering service.
      Parameters:
        `objtempOtherNames` - object of Other Names.

    - #### setOtherNames

          public void setOtherNames(ISingleCollection<ST> objOtherNames)

      Set the Other Names. This field contains any test aliases or synonyms for the name in the context of the ordering service.
      Parameters:
        `objOtherNames` - List of Other Names

    - #### addReplacementProducersServiceTestObservationID

          public void addReplacementProducersServiceTestObservationID(java.lang.String strIdentifier,
                                                             java.lang.String strText,
                                                             java.lang.String strNameOfCodingSystem,
                                                             java.lang.String strAlternateIdentifier,
                                                             java.lang.String strAlternateText,
                                                             java.lang.String strNameOfAlternateCodingSystem,
                                                             java.lang.String strCodingSystemVersionID,
                                                             java.lang.String strAlternateCodingSystemVersionId,
                                                             java.lang.String strOriginalText,
                                                             java.lang.String strSecondAlternateIdentifier,
                                                             java.lang.String strSecondAlternateText,
                                                             java.lang.String strNameofSecondAlternateCodingSystem,
                                                             java.lang.String strSecondAlternateCodingSystemVersionID,
                                                             java.lang.String strCodingSystemOID,
                                                             java.lang.String strValueSetOID,
                                                             java.lang.String strValueSetVersionID,
                                                             java.lang.String strAlternateCodingSystemOID,
                                                             java.lang.String strAlternateValueSetOID,
                                                             java.lang.String strAlternateValueSetVersionID,
                                                             java.lang.String strSecondAlternateCodingSystemOID,
                                                             java.lang.String strSecondAlternateValueSetOID,
                                                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the field Replacement Producer's Service/Test/Observation ID. This field is used in conjunction with a MFE-1 Record-Level Event Code 'MDC' defined as: "Deactivate: discontinue using record in master file, but do not delete from database", in conjunction with an OM1 segment providing detail for the deactivate code. When the OM1-2 Producer's
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addReplacementProducersServiceTestObservationID

          public void addReplacementProducersServiceTestObservationID(CWE objReplacementProducersServiceTestObservationID)

      Set the field Replacement Producer's Service/Test/Observation ID. This field is used in conjunction with a MFE-1 Record-Level Event Code 'MDC' defined as: "Deactivate: discontinue using record in master file, but do not delete from database", in conjunction with an OM1 segment providing detail for the deactivate code. When the OM1-2 Producer's
      Parameters:
        `objReplacementProducersServiceTestObservationID` -

    - #### setReplacementProducersServiceTestObservationID

          public void setReplacementProducersServiceTestObservationID(ISingleCollection<CWE> objReplacementProducersServiceTestObservationIDList)

      Set the Replacement Producer's Service/Test/Observation ID. This field is used in conjunction with a MFE-1 Record-Level Event Code 'MDC' defined as: "Deactivate: discontinue using record in master file, but do not delete from database", in conjunction with an OM1 segment providing detail for the deactivate code. When the OM1-2 Producer's
      Parameters:
        `objReplacementProducersServiceTestObservationIDList` - List of Replacement Producer's Service/Test/Observation ID

    - #### addPriorResutsInstructions

          public void addPriorResutsInstructions(java.lang.String strObservationDescription)

      Add the Prior Resuts Instructions. This field is used to indicate when the test in OM1-2 Producer's Service/Test/Observation ID is ordered, prior results should accompany the order (OML^O21^OML_O21: Laboratory Order Message).
      Parameters:
        `strObservationDescription` - String to be passed identifies the parameters of the command.

    - #### addPriorResutsInstructions

          public void addPriorResutsInstructions(TX objPriorResutsInstructions)

      Add the Prior Resuts Instructions. This field is used to indicate when the test in OM1-2 Producer's Service/Test/Observation ID is ordered, prior results should accompany the order (OML^O21^OML_O21: Laboratory Order Message).
      Parameters:
        `objPriorResutsInstructions` - Object of Prior Resuts Instructions.

    - #### setPriorResutsInstructions

          public void setPriorResutsInstructions(ISingleCollection<TX> objPriorResutsInstructionsList)

      Set the Prior Resuts Instructions. This field is used to indicate when the test in OM1-2 Producer's Service/Test/Observation ID is ordered, prior results should accompany the order (OML^O21^OML_O21: Laboratory Order Message).
      Parameters:
        `objPriorResutsInstructionsList` - List of Prior Resuts Instructions.

    - #### setSpecialInstructions

          public void setSpecialInstructions(java.lang.String strSpecialInstructions)

      Set the Special Instructions. This field is used to convey special instructions for the test
      Parameters:
        `strSpecialInstructions` - Use as SpecialInstructions

    - #### setSpecialInstructions

          public void setSpecialInstructions(TX objSpecialInstructions)

      Set the Special Instructions. This field is used to convey special instructions for the test
      Parameters:
        `objSpecialInstructions` - Object of Special Instructions.

    - #### addTestCategory

          public void addTestCategory(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Test Category. This field may be used to organize tests for display or other user defined purpose.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addTestCategory

          public void addTestCategory(CWE objTestCategory)

      Set the Test Category. This field may be used to organize tests for display or other user defined purpose.
      Parameters:
        `objTestCategory` - No suggested Values specified

    - #### setTestCategory

          public void setTestCategory(ISingleCollection<CWE> objTestCategoryList)

      Set the TestCategory list. This field may be used to organize tests for display or other user defined purpose.
      Parameters:
        `objTestCategoryList` - List of TestCategory

    - #### setObservationIdentifierAssociatedWithProducersServiceTestObservationID

          public void setObservationIdentifierAssociatedWithProducersServiceTestObservationID(java.lang.String strIdentifier,
                                                                                     java.lang.String strText,
                                                                                     java.lang.String strNameOfCodingSystem,
                                                                                     java.lang.String strAlternateIdentifier,
                                                                                     java.lang.String strAlternateText,
                                                                                     java.lang.String strNameOfAlternateCodingSystem,
                                                                                     java.lang.String strCodingSystemVersionID,
                                                                                     java.lang.String strAlternateCodingSystemVersionId,
                                                                                     java.lang.String strOriginalText,
                                                                                     java.lang.String strSecondAlternateIdentifier,
                                                                                     java.lang.String strSecondAlternateText,
                                                                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                                                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                                                                     java.lang.String strCodingSystemOID,
                                                                                     java.lang.String strValueSetOID,
                                                                                     java.lang.String strValueSetVersionID,
                                                                                     java.lang.String strAlternateCodingSystemOID,
                                                                                     java.lang.String strAlternateValueSetOID,
                                                                                     java.lang.String strAlternateValueSetVersionID,
                                                                                     java.lang.String strSecondAlternateCodingSystemOID,
                                                                                     java.lang.String strSecondAlternateValueSetOID,
                                                                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Observation/Identifier associated with Producer’s Service/Test/Observation ID. : This field contains the code for resulted tests, which are associated with the Producer’s Service/Test/Observation ID code in OM1-2 and will appear in OBX-3 Observation Identifier in a result message.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setObservationIdentifierAssociatedWithProducersServiceTestObservationID

          public void setObservationIdentifierAssociatedWithProducersServiceTestObservationID(CWE objObservationIdentifierAssociatedWithProducersServiceTestObservationID)

      Set the Observation/Identifier associated with Producer’s Service/Test/Observation ID. : This field contains the code for resulted tests, which are associated with the Producer’s Service/Test/Observation ID code in OM1-2 and will appear in OBX-3 Observation Identifier in a result message.
      Parameters:
        `objObservationIdentifierAssociatedWithProducersServiceTestObservationID` - object of ObservationIdentifierAssociatedWithProducersServiceTestObservationID.

    - #### setTypicalTurnAroundTime

          public void setTypicalTurnAroundTime(java.lang.String strQuantity,
                                      CWE objUnits)

      Set the Typical Turn-Around Time. This field specify the quantity and units administered for the blood code identified in field 1.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTypicalTurnAroundTime

          public void setTypicalTurnAroundTime(CQ TypicalTurnAroundTime)

      Set the Typical Turn-Around Time. This field specify the quantity and units administered for the blood code identified in field 1.
      Parameters:
        `TypicalTurnAroundTime` -

    - #### addGenderRestriction

          public void addGenderRestriction(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Gender Restriction. This field is used to convey gender restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addGenderRestriction

          public void addGenderRestriction(CWE objGenderRestriction)

      Set the Gender Restriction. This field is used to convey gender restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Parameters:
        `objGenderRestriction` -

    - #### setGenderRestriction

          public void setGenderRestriction(ISingleCollection<CWE> objGenderRestrictionList)

      Set the GenderRestriction list. This field is used to convey gender restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Parameters:
        `objGenderRestrictionList` - List of GenderRestriction

    - #### addAgeRestriction

          public void addAgeRestriction(NM objLowValue,
                               NM objHighValue)

      Add the Age Restriction. This field is used to convey age restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Parameters:
        `objLowValue` - Specifies Low value
        `objHighValue` - Specifies High Value.

    - #### addAgeRestriction

          public void addAgeRestriction(NR objAgeRestriction)

      Add the Age Restriction. This field is used to convey age restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Parameters:
        `objAgeRestriction` - Object of Age Restriction.

    - #### setAgeRestriction

          public void setAgeRestriction(ISingleCollection<NR> objAgeRestriction)

      Set the Age Restriction. This field is used to convey age restrictions for ordering the test specified in OM1-2 Producer's Service/Test/Observation ID.
      Parameters:
        `objAgeRestriction` - List of Age Restriction.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails